V1.0

post

/ec-dc-svc/rest/v1.0/studies/{studyId}/{mode}/labnormals

Creates lab data elements for a subject for a particular visit and particular form.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    active
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    1BC29B36F5D64B1B95F4BDBBCEA481BE
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: 799EF3745FC545589F186D2198F3C65E
  • Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.
    Example: 1
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.
    Example: 899EF3745FC545589F186D2198F3C65E
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the lab normals record. Include for update requests; omit for new create.
    Example: 999EF3745FC545589F186D2198F3C65E
  • Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: 699EF3745FC545589F186D2198F3C65E
  • String representing the version of the study. Helps track changes in form or study design.
    Example: 1.0.0.3
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: A1B2C3D4E5F6471890ABCDEF12345678
Examples

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : LabResponse
Type: object
Response containing lab normals processing status and created/updated data elements for v1
Show Source
Nested Schema : items
Type: array
List of data elements generated or updated for the lab normals request
Show Source
Example:
[
    {
        "id":"1BC29B36F5D64B1B95F4BDBBCEA481BE",
        "versionStart":"2025-10-16T14:30:31.892Z",
        "transactionStart":"2025-10-16T14:30:31.892Z",
        "transactionEnd":"2025-10-16T14:35:00.000Z",
        "validationStatus":"SUCCESS",
        "validationFailure":null,
        "studyId":"ABCDEF1234567890ABCDEF1234567890",
        "studyName":"STUDY-ABC",
        "studyVersion":"21",
        "subjectId":"10F75668189F422F9A461A315D211111",
        "eventId":"ADF5A7800A954FA5B831E7B6B9CA39A9",
        "formId":"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF",
        "formSectionId":"B6E0C7D5A1F3428C8B8B6A77C5E9D4AA",
        "repeatSequenceNumber":1,
        "itemId":"DEADBEEFDEADBEEFDEADBEEFDEADBEEF",
        "siteId":"ABCDEF1234567890ABCDEF1234567890",
        "variableId":"0123456789ABCDEF0123456789ABCDEF",
        "originatorId":"FEDCBA9876543210FEDCBA9876543210",
        "vendorCode":"VENDOR1",
        "value":"13.5",
        "measureUnit":"g/dL",
        "normalizedValue":"A78AD8C31CD843CD8B847C06C0420FF5",
        "normalizedUnitId":"A78AD8C31CD843CD8B847C06C0420FF5",
        "numValue":13,
        "floatValue":13.5,
        "dateTimeValueUTC":"2025-10-16T14:30:31.892Z",
        "monthValue":10,
        "dayValue":16,
        "yearValue":2025,
        "hourValue":14,
        "minuteValue":30,
        "secondValue":31,
        "reason":"Initial entry",
        "comment":"Captured by device",
        "objectVersionNumber":14,
        "eventInstanceNum":1,
        "targets":[
            "93CC828113AC439181071CB44D2C6FE5.93CC828113AC439181071CB44D2C6FE5",
            "93CC828113AC439181071CB44D2C6FE5.93CC828113AC439181071CB44D2C6FE7"
        ],
        "dataFlag":"1BC29B36F5D64B1B95F4BDBBCEA481BE",
        "propertyId":"40DB4EF4847849CCB24EFCCB71CDA436",
        "propertyVersionStart":"2025-10-16T14:30:31.892Z"
    }
]
Nested Schema : labnormalsStatus
Type: array
List of lab normals processing status codes resulting from validation and mapping
Show Source
  • List of lab normals processing status codes resulting from validation and mapping
    Example: ["SUCCESS"]
Example:
[
    "SUCCESS"
]
Nested Schema : DataElementDto6
Type: object
Data element response with additional property linkage details
Show Source
  • Minimum Length: 0
    Maximum Length: 2048
    Comment for the data element change
    Example: Captured by device
  • Unique Data flag identifier(UUID, 32-character uppercase hexadecimal string).
    Example: 1BC29B36F5D64B1B95F4BDBBCEA481BE
  • Date-time value in UTC
    Example: 2025-10-16T14:30:31.892Z
  • Day part of date
    Example: 16
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: ADF5A7800A954FA5B831E7B6B9CA39A9
  • Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.
    Example: 1
  • Numeric decimal value
    Example: 12.34
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.
    Example: 40DB4EF4847849CCB24EFCCB71CDA436
  • Unique identifier of the table within a two section form or lab form. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: B6E0C7D5A1F3428C8B8B6A77C5E9D4AA
  • Hour part of time
    Example: 14
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the data element
    Example: 1BC29B36F5D64B1B95F4BDBBCEA481BE
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.
    Example: DEADBEEFDEADBEEFDEADBEEFDEADBEEF
  • Minimum Length: 0
    Maximum Length: 64
    Measurement unit
    Example: mg/dL
  • Minute part of time
    Example: 30
  • Month part of date
    Example: 10
  • Identifier of normalized unit
    Example: A78AD8C31CD843CD8B847C06C0420FF5
  • Minimum Length: 0
    Maximum Length: 100
    Normalized value if applicable
    Example: 120
  • Numeric integer value
    Example: 120
  • Audit trail field that represents the version number of the data.
    Example: 14
  • An identifier representing the system, or user that initiated the transaction (UUID, 32-character uppercase hexadecimal string).
    Example: FEDCBA9876543210FEDCBA9876543210
  • Unique Identfier (UUID, 32-character uppercase hexadecimal string) of data capture properties
    Example: AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
  • The timestamp marking the beginning of the validity period for this record version within the system.
    Example: 2023-01-01T09:00:00Z
  • Minimum Length: 0
    Maximum Length: 255
    Reason associated with the data element change
    Example: Initial entry
  • Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.
    Example: 1
  • Second part of time
    Example: 31
  • Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: ABCDEF1234567890ABCDEF1234567890
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: ABCDEF1234567890ABCDEF1234567890
  • Minimum Length: 0
    Maximum Length: 100
    Study name
    Example: STUDY-ABC
  • Minimum Length: 0
    Maximum Length: 100
    String representing the version of the study. Helps track changes in form or study design.
    Example: 3.0.0.1
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: 10F75668189F422F9A461A315D211111
  • targets
    List of display or rule targets associated with this data element
  • The date and time at which the transaction processing completed.
    Example: 2025-10-16T14:30:31.892Z
  • The date and time at which the transaction processing began.
    Example: 2025-10-16T14:30:31.892Z
  • Unique user identifier representing the clinicalone user who modified or interacted with the subject record. Uses UUID in a 32-character uppercase hexadecimal string format.
  • Minimum Length: 0
    Maximum Length: 32767
    Validation failure details if any
    Example: Incorrect values not allowed
  • Minimum Length: 0
    Maximum Length: 25
    Validation status of the data element. The validation status can be null or SUCCESS.
    Example: SUCCESS
  • Minimum Length: 0
    Maximum Length: 4000
    Raw value captured for the item
    Example: 120
  • Variable identifier (UUID, 32-character uppercase hexadecimal string) in uppercase hex format.
    Example: 0123456789ABCDEF0123456789ABCDEF
  • Minimum Length: 0
    Maximum Length: 100
    Vendor code if provided
    Example: VENDOR1
  • The timestamp marking the beginning of the validity period for this record version within the system.
    Example: 2025-10-16T14:30:31.892Z
  • Year part of date
    Example: 2025
Nested Schema : targets
Type: array
List of display or rule targets associated with this data element
Show Source
Example:
[
    "93CC828113AC439181071CB44D2C6FE5.93CC828113AC439181071CB44D2C6FE5",
    "93CC828113AC439181071CB44D2C6FE5.93CC828113AC439181071CB44D2C6FE7"
]
Examples

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top